# $Revision: 1.42 $, $Date: 2012/02/10 11:28:27 $
Summary:	A high quality TV viewer
Summary(pl.UTF-8):	Program do oglądania TV w wysokiej jakości
Name:		tvtime
Version:	1.0.2
Release:	9
License:	GPL
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/tvtime/%{name}-%{version}.tar.gz
# Source0-md5:	4b3d03afe61be239b08b5e522cd8afed
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-gcc.patch
Patch2:		%{name}-def_user.patch
Patch3:		%{name}-autodetect_textured_overlay.patch
Patch4:		%{name}-libpng-1.5.patch
URL:		http://tvtime.sourceforge.net/
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	zlib-devel
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
tvtime is a high quality television application for use with video
capture cards. tvtime processes the input from a capture card and
displays it on a computer monitor or projector. Unlike other
television applications, tvtime focuses on high visual quality making
it ideal for videophiles.

%description -l pl.UTF-8
tvtime to aplikacja do wysokiej jakości telewizji przeznaczona do
używania z kartami przechwytującymi obraz. tvtime przetwarza wejście z
karty i wyświetla je na monitorze lub projektorze komputerowym. W
przeciwieństwie do innych aplikacji telewizyjnych tvtime skupia się na
wysokiej jakości obrazu, co czyni go idealnym dla wideofili.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--disable-dependency-tracking
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* data/COPYING.* docs/html
%attr(755,root,root) %{_bindir}/tvtime
%attr(755,root,root) %{_bindir}/tvtime-command
%attr(755,root,root) %{_bindir}/tvtime-configure
%attr(755,root,root) %{_bindir}/tvtime-scanner
%dir %{_sysconfdir}/tvtime
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tvtime/*.xml
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/apps/tvtime.png
%{_pixmapsdir}/*
%{_datadir}/tvtime
%{_mandir}/man?/*
%lang(de) %{_mandir}/de/man?/*
%lang(es) %{_mandir}/es/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tvtime.spec,v $
Revision 1.42  2012/02/10 11:28:27  arekm
- rel 9; libpng fix

Revision 1.41  2012/02/07 22:08:08  arekm
- release 7

Revision 1.40  2011/01/29 00:07:30  sparky
- dropped pre-cvs changelog

Revision 1.39  2010/03/06 18:50:29  pluto
- textured overlay autodetection fixed, release 6.

Revision 1.38  2010/01/29 20:07:15  arekm
- release 5

Revision 1.37  2010/01/20 21:46:26  pluto
- autodetect textured overlay, release 4.
  (tested on xorg-driver-video-ati + EXA enabled + kde4 compositing enabled).

Revision 1.36  2008/06/16 07:16:43  charles
- more xorg-* BRs

Revision 1.35  2007/05/30 21:35:16  shadzik
- fix build by adding -def_user.patch
- rel 3

Revision 1.34  2007/02/16 23:45:46  arekm
- rel 2; fix gcc 4 build

Revision 1.33  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.31  2005/11/10 04:00:43  charles
- updated to 1.0.2

Revision 1.30  2005/10/16 11:04:20  blekot
- up to 1.0.1

Revision 1.29  2005/05/11 19:50:10  charles
- BR rpmbuild(macros) up to >= 1.213

Revision 1.28  2005/05/11 17:05:48  qboosh
- use x8664 macro

Revision 1.27  2005/04/20 14:13:43  charles
- updated to 0.99
- removed obsolete -videoinput.patch
- BR: gettext-devel, libstdc++-devel

Revision 1.26  2005/03/28 16:29:52  darekr
- reverted blekot's change

Revision 1.25  2005/03/28 14:23:08  blekot
- %find_lang %{name} commented (to succesful build)

Revision 1.24  2005/03/18 21:00:55  qboosh
- unified

Revision 1.23  2005/03/17 16:36:05  blekot
- proper category
- rel +1

Revision 1.22  2005/01/24 16:05:37  charles
- added -videoinput.patch (fix a bug for cx88 -
 driver refused to indicate the current frequency)
- rel. 2, STBR

Revision 1.21  2004/11/01 14:48:52  pluto
- updated to 0.9.15.
- release 1.

Revision 1.20  2004/10/06 13:22:55  qboosh
- BR: automake

Revision 1.19  2004/09/29 18:15:51  marcus
- removed asm patch by jpc - tvtime segfaults with it
- rel.3. STBR

Revision 1.18  2004/09/26 14:44:17  havner
- exclusive x86, amd64

Revision 1.17  2004/09/26 14:37:46  havner
- excludearch sparc

Revision 1.16  2004/09/26 14:35:55  havner
- excludearch ppc
- rel 1

Revision 1.15  2004/09/26 09:06:44  jpc
- added patch to fix clobbering ebx in PIC code (not sure if
  I did it right)

Revision 1.14  2004/09/26 08:26:10  marcus
- wrrrrrr

Revision 1.13  2004/09/26 08:23:28  marcus
- fix german man pages (%lang)

Revision 1.12  2004/09/26 08:20:33  marcus
- added german man pages to %%files

Revision 1.11  2004/09/26 08:15:31  marcus
- updated to 0.9.13
- ppc/sparc patches imho are not necessary in new version (file vsync.c not exist)
- not tested (rel.0.1)

Revision 1.10  2004/09/20 21:02:21  havner
- rel 3

Revision 1.9  2004/09/20 20:58:32  havner
- config.sub

Revision 1.8  2004/08/25 23:27:22  ankry
- spaces -> tabs

Revision 1.7  2004/08/25 23:09:45  pawelb
- now builds on sparc and ppc (i hope)
- not tested
- maybe tvtime should by ix86 specific as in debian ???

Revision 1.5  2004/08/18 18:13:35  blues
- release 2

Revision 1.4  2004/05/13 18:55:14  ankry
- spaces -> tabs, other cosmetics

Revision 1.3  2003/11/25 18:10:42  qboosh
- pl, cleanups, use our optflags

Revision 1.2  2003/11/25 16:32:51  matkor
- df.

Revision 1.1  2003/11/24 18:39:42  arekm
- almost raw but builds fine
